Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface SessionManagerConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NotificationBroadcaster, NotificationEmitter

public interface SessionManagerConfig
extends ConfigElement, Container

Configuration for the <session-manager> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`ManagerPropertiesConfig` | `createManagerPropertiesConfig(java.util.Map params)` Creates new manager-properties element.
`StorePropertiesConfig` | `createStorePropertiesConfig(java.util.Map params)` Creates new manager-properties element.
`ManagerPropertiesConfig` | `getManagerPropertiesConfig()` Get the ManagerPropertiesConfig MBean.
`StorePropertiesConfig` | `getStorePropertiesConfig()` Get the StorePropertiesConfig MBean.
`void` | `removeManagerPropertiesConfig()` Removes manager-properties element.
`void` | `removeStorePropertiesConfig()` Removes store-properties element.

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### createManagerPropertiesConfig

    public ManagerPropertiesConfig createManagerPropertiesConfig(java.util.Map params)

  Creates new manager-properties element.

  Parameters:
    `params` - Map of optional attributes whose keys are defined in ManagerPropertiesParams interface.
  Returns:
    A proxy to the ManagerPropertiesConfig MBean.
  See Also:
    `ManagerPropertiesConfigKeys`

### removeManagerPropertiesConfig

    public void removeManagerPropertiesConfig()

  Removes manager-properties element.

### getManagerPropertiesConfig

    public ManagerPropertiesConfig getManagerPropertiesConfig()

  Get the ManagerPropertiesConfig MBean.

### createStorePropertiesConfig

    public StorePropertiesConfig createStorePropertiesConfig(java.util.Map params)

  Creates new manager-properties element.

  Parameters:
    `params` - Map of optional attributes whose keys are defined in ManagerPropertiesParams interface.
  Returns:
    A proxy to the StorePropertiesConfig MBean.
  See Also:
    `StorePropertiesConfigKeys`

### removeStorePropertiesConfig

    public void removeStorePropertiesConfig()

  Removes store-properties element.

### getStorePropertiesConfig

    public StorePropertiesConfig getStorePropertiesConfig()

  Get the StorePropertiesConfig MBean.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.